Update Verification Request
Update an existing tollfree verification request. This is particularly useful when there are pending customer actions to be taken.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const verificationRequestEgress = await client.messagingTollfree.verification.requests.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
additionalInformation: 'additionalInformation',
businessAddr1: '600 Congress Avenue',
businessCity: 'Austin',
businessContactEmail: 'email@example.com',
businessContactFirstName: 'John',
businessContactLastName: 'Doe',
businessContactPhone: '+18005550100',
businessName: 'Telnyx LLC',
businessState: 'Texas',
businessZip: '78701',
corporateWebsite: 'http://example.com',
messageVolume: '100,000',
optInWorkflow:
"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
optInWorkflowImageURLs: [
{ url: 'https://telnyx.com/sign-up' },
{ url: 'https://telnyx.com/company/data-privacy' },
],
phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }],
productionMessageContent: 'Your Telnyx OTP is XXXX',
useCase: '2FA',
useCaseSummary:
'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
},
);
console.log(verificationRequestEgress.id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification_request_egress = client.messaging_tollfree.verification.requests.update(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information="additionalInformation",
business_addr1="600 Congress Avenue",
business_city="Austin",
business_contact_email="email@example.com",
business_contact_first_name="John",
business_contact_last_name="Doe",
business_contact_phone="+18005550100",
business_name="Telnyx LLC",
business_state="Texas",
business_zip="78701",
corporate_website="http://example.com",
message_volume="100,000",
opt_in_workflow="User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls=[{
"url": "https://telnyx.com/sign-up"
}, {
"url": "https://telnyx.com/company/data-privacy"
}],
phone_numbers=[{
"phone_number": "+18773554398"
}, {
"phone_number": "+18773554399"
}],
production_message_content="Your Telnyx OTP is XXXX",
use_case="2FA",
use_case_summary="This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
)
print(verification_request_egress.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingTollfreeVerificationRequestUpdateParams{
TfVerificationRequest: telnyx.TfVerificationRequestParam{
AdditionalInformation: "additionalInformation",
BusinessAddr1: "600 Congress Avenue",
BusinessCity: "Austin",
BusinessContactEmail: "email@example.com",
BusinessContactFirstName: "John",
BusinessContactLastName: "Doe",
BusinessContactPhone: "+18005550100",
BusinessName: "Telnyx LLC",
BusinessState: "Texas",
BusinessZip: "78701",
CorporateWebsite: "http://example.com",
MessageVolume: telnyx.VolumeV100000,
OptInWorkflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
OptInWorkflowImageURLs: []telnyx.URLParam{{
URL: "https://telnyx.com/sign-up",
}, {
URL: "https://telnyx.com/company/data-privacy",
}},
PhoneNumbers: []telnyx.TfPhoneNumberParam{{
PhoneNumber: "+18773554398",
}, {
PhoneNumber: "+18773554399",
}},
ProductionMessageContent: "Your Telnyx OTP is XXXX",
UseCase: telnyx.UseCaseCategoriesTwoFa,
UseCaseSummary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verificationRequestEgress.ID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestUpdateParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestUpdateParams params = RequestUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.tfVerificationRequest(TfVerificationRequest.builder()
.additionalInformation("additionalInformation")
.businessAddr1("600 Congress Avenue")
.businessCity("Austin")
.businessContactEmail("email@example.com")
.businessContactFirstName("John")
.businessContactLastName("Doe")
.businessContactPhone("+18005550100")
.businessName("Telnyx LLC")
.businessState("Texas")
.businessZip("78701")
.corporateWebsite("http://example.com")
.messageVolume(Volume.V_100000)
.optInWorkflow("User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset")
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/sign-up")
.build())
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/company/data-privacy")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554398")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554399")
.build())
.productionMessageContent("Your Telnyx OTP is XXXX")
.useCase(UseCaseCategories.TWO_FA)
.useCaseSummary("This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal")
.build())
.build();
VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
verification_request_egress = telnyx.messaging_tollfree.verification.requests.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information: "additionalInformation",
business_addr1: "600 Congress Avenue",
business_city: "Austin",
business_contact_email: "email@example.com",
business_contact_first_name: "John",
business_contact_last_name: "Doe",
business_contact_phone: "+18005550100",
business_name: "Telnyx LLC",
business_state: "Texas",
business_zip: "78701",
corporate_website: "http://example.com",
message_volume: :"100,000",
opt_in_workflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls: [{url: "https://telnyx.com/sign-up"}, {url: "https://telnyx.com/company/data-privacy"}],
phone_numbers: [{phoneNumber: "+18773554398"}, {phoneNumber: "+18773554399"}],
production_message_content: "Your Telnyx OTP is XXXX",
use_case: :"2FA",
use_case_summary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal"
)
puts(verification_request_egress)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
use Telnyx\MessagingTollfree\Verification\Requests\Volume;
use Telnyx\MessagingTollfree\Verification\Requests\UseCaseCategories;
use Telnyx\MessagingTollfree\Verification\Requests\TollFreeVerificationEntityType;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$verificationRequestEgress = $client
->messagingTollfree
->verification
->requests
->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
additionalInformation: 'additionalInformation',
businessAddr1: '600 Congress Avenue',
businessCity: 'Austin',
businessContactEmail: 'email@example.com',
businessContactFirstName: 'John',
businessContactLastName: 'Doe',
businessContactPhone: '+18005550100',
businessName: 'Telnyx LLC',
businessState: 'Texas',
businessZip: '78701',
corporateWebsite: 'http://example.com',
messageVolume: Volume::V_100000,
optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\'ve opted in a confirmation message is sent out to the handset',
optInWorkflowImageURLs: [
['url' => 'https://telnyx.com/sign-up'],
['url' => 'https://telnyx.com/company/data-privacy'],
],
phoneNumbers: [
['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']
],
productionMessageContent: 'Your Telnyx OTP is XXXX',
useCase: UseCaseCategories::TWO_FA,
useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
ageGatedContent: true,
businessAddr2: '14th Floor',
businessRegistrationCountry: 'US',
businessRegistrationNumber: '12-3456789',
businessRegistrationType: 'EIN',
campaignVerifyAuthorizationToken: 'cv_token_abc123xyz',
doingBusinessAs: 'Acme Services',
entityType: TollFreeVerificationEntityType::SOLE_PROPRIETOR,
helpMessageResponse: 'Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com',
isvReseller: 'isvReseller',
optInConfirmationResponse: 'You have successfully opted in to receive messages from Acme Corp',
optInKeywords: 'START, YES, SUBSCRIBE',
privacyPolicyURL: 'https://example.com/privacy',
termsAndConditionURL: 'https://example.com/terms',
webhookURL: 'http://example-webhook.com',
);
var_dump($verificationRequestEgress);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--additional-information additionalInformation \
--business-addr1 '600 Congress Avenue' \
--business-city Austin \
--business-contact-email email@example.com \
--business-contact-first-name John \
--business-contact-last-name Doe \
--business-contact-phone +18005550100 \
--business-name 'Telnyx LLC' \
--business-state Texas \
--business-zip 78701 \
--corporate-website http://example.com \
--message-volume 100,000 \
--opt-in-workflow "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset" \
--opt-in-workflow-image-url '{url: https://telnyx.com/sign-up}' \
--opt-in-workflow-image-url '{url: https://telnyx.com/company/data-privacy}' \
--phone-number "{phoneNumber: '+18773554398'}" \
--phone-number "{phoneNumber: '+18773554399'}" \
--production-message-content 'Your Telnyx OTP is XXXX' \
--use-case 2FA \
--use-case-summary 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal'curl --request PATCH \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "email@example.com",
"businessContactPhone": "+18005550100",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "<string>",
"businessAddr2": "14th Floor",
"isvReseller": "<string>",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz"
}
EOF{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "email@example.com",
"businessContactPhone": "+18005550100",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "This is for security purposes, blah blah blah",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verificationRequestId": "<string>",
"businessAddr2": "14th Floor",
"isvReseller": "Yes",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"entityType": "PRIVATE_PROFIT",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz",
"verificationStatus": "In Progress"
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}Authorizations
Body
The body of a tollfree verification request
Machine-readable use-case for the phone numbers
2FA, App Notifications, Appointments, Auctions, Auto Repair Services, Bank Transfers, Billing, Booking Confirmations, Business Updates, COVID-19 Alerts, Career Training, Chatbot, Conversational / Alerts, Courier Services & Deliveries, Emergency Alerts, Events & Planning, Financial Services, Fraud Alerts, Fundraising, General Marketing, General School Updates, HR / Staffing, Healthcare Alerts, Housing Community Updates, Insurance Services, Job Dispatch, Legal Services, Mixed, Motivational Reminders, Notary Notifications, Order Notifications, Political, Public Works, Real Estate Services, Religious Services, Repair and Diagnostics Alerts, Rewards Program, Surveys, System Alerts, Voting Reminders, Waitlist Alerts, Webinar Reminders, Workshop Alerts "2FA"
Human-readable description of how end users will opt into receiving messages from the given phone numbers
500"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset"
Campaign Verify Authorization Token required for Political use case submissions starting February 17, 2026. This token is validated by Zipwhip and must be provided for all Political use case verifications after the deadline.
500"cv_token_abc123xyz"
Response
Successful Response
A verification request as it comes out of the database
Tollfree usecase categories
2FA, App Notifications, Appointments, Auctions, Auto Repair Services, Bank Transfers, Billing, Booking Confirmations, Business Updates, COVID-19 Alerts, Career Training, Chatbot, Conversational / Alerts, Courier Services & Deliveries, Emergency Alerts, Events & Planning, Financial Services, Fraud Alerts, Fundraising, General Marketing, General School Updates, HR / Staffing, Healthcare Alerts, Housing Community Updates, Insurance Services, Job Dispatch, Legal Services, Mixed, Motivational Reminders, Notary Notifications, Order Notifications, Political, Public Works, Real Estate Services, Religious Services, Repair and Diagnostics Alerts, Rewards Program, Surveys, System Alerts, Voting Reminders, Waitlist Alerts, Webinar Reminders, Workshop Alerts "2FA"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const verificationRequestEgress = await client.messagingTollfree.verification.requests.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
additionalInformation: 'additionalInformation',
businessAddr1: '600 Congress Avenue',
businessCity: 'Austin',
businessContactEmail: 'email@example.com',
businessContactFirstName: 'John',
businessContactLastName: 'Doe',
businessContactPhone: '+18005550100',
businessName: 'Telnyx LLC',
businessState: 'Texas',
businessZip: '78701',
corporateWebsite: 'http://example.com',
messageVolume: '100,000',
optInWorkflow:
"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
optInWorkflowImageURLs: [
{ url: 'https://telnyx.com/sign-up' },
{ url: 'https://telnyx.com/company/data-privacy' },
],
phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }],
productionMessageContent: 'Your Telnyx OTP is XXXX',
useCase: '2FA',
useCaseSummary:
'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
},
);
console.log(verificationRequestEgress.id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification_request_egress = client.messaging_tollfree.verification.requests.update(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information="additionalInformation",
business_addr1="600 Congress Avenue",
business_city="Austin",
business_contact_email="email@example.com",
business_contact_first_name="John",
business_contact_last_name="Doe",
business_contact_phone="+18005550100",
business_name="Telnyx LLC",
business_state="Texas",
business_zip="78701",
corporate_website="http://example.com",
message_volume="100,000",
opt_in_workflow="User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls=[{
"url": "https://telnyx.com/sign-up"
}, {
"url": "https://telnyx.com/company/data-privacy"
}],
phone_numbers=[{
"phone_number": "+18773554398"
}, {
"phone_number": "+18773554399"
}],
production_message_content="Your Telnyx OTP is XXXX",
use_case="2FA",
use_case_summary="This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
)
print(verification_request_egress.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingTollfreeVerificationRequestUpdateParams{
TfVerificationRequest: telnyx.TfVerificationRequestParam{
AdditionalInformation: "additionalInformation",
BusinessAddr1: "600 Congress Avenue",
BusinessCity: "Austin",
BusinessContactEmail: "email@example.com",
BusinessContactFirstName: "John",
BusinessContactLastName: "Doe",
BusinessContactPhone: "+18005550100",
BusinessName: "Telnyx LLC",
BusinessState: "Texas",
BusinessZip: "78701",
CorporateWebsite: "http://example.com",
MessageVolume: telnyx.VolumeV100000,
OptInWorkflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
OptInWorkflowImageURLs: []telnyx.URLParam{{
URL: "https://telnyx.com/sign-up",
}, {
URL: "https://telnyx.com/company/data-privacy",
}},
PhoneNumbers: []telnyx.TfPhoneNumberParam{{
PhoneNumber: "+18773554398",
}, {
PhoneNumber: "+18773554399",
}},
ProductionMessageContent: "Your Telnyx OTP is XXXX",
UseCase: telnyx.UseCaseCategoriesTwoFa,
UseCaseSummary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verificationRequestEgress.ID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestUpdateParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestUpdateParams params = RequestUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.tfVerificationRequest(TfVerificationRequest.builder()
.additionalInformation("additionalInformation")
.businessAddr1("600 Congress Avenue")
.businessCity("Austin")
.businessContactEmail("email@example.com")
.businessContactFirstName("John")
.businessContactLastName("Doe")
.businessContactPhone("+18005550100")
.businessName("Telnyx LLC")
.businessState("Texas")
.businessZip("78701")
.corporateWebsite("http://example.com")
.messageVolume(Volume.V_100000)
.optInWorkflow("User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset")
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/sign-up")
.build())
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/company/data-privacy")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554398")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554399")
.build())
.productionMessageContent("Your Telnyx OTP is XXXX")
.useCase(UseCaseCategories.TWO_FA)
.useCaseSummary("This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal")
.build())
.build();
VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
verification_request_egress = telnyx.messaging_tollfree.verification.requests.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information: "additionalInformation",
business_addr1: "600 Congress Avenue",
business_city: "Austin",
business_contact_email: "email@example.com",
business_contact_first_name: "John",
business_contact_last_name: "Doe",
business_contact_phone: "+18005550100",
business_name: "Telnyx LLC",
business_state: "Texas",
business_zip: "78701",
corporate_website: "http://example.com",
message_volume: :"100,000",
opt_in_workflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls: [{url: "https://telnyx.com/sign-up"}, {url: "https://telnyx.com/company/data-privacy"}],
phone_numbers: [{phoneNumber: "+18773554398"}, {phoneNumber: "+18773554399"}],
production_message_content: "Your Telnyx OTP is XXXX",
use_case: :"2FA",
use_case_summary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal"
)
puts(verification_request_egress)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
use Telnyx\MessagingTollfree\Verification\Requests\Volume;
use Telnyx\MessagingTollfree\Verification\Requests\UseCaseCategories;
use Telnyx\MessagingTollfree\Verification\Requests\TollFreeVerificationEntityType;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$verificationRequestEgress = $client
->messagingTollfree
->verification
->requests
->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
additionalInformation: 'additionalInformation',
businessAddr1: '600 Congress Avenue',
businessCity: 'Austin',
businessContactEmail: 'email@example.com',
businessContactFirstName: 'John',
businessContactLastName: 'Doe',
businessContactPhone: '+18005550100',
businessName: 'Telnyx LLC',
businessState: 'Texas',
businessZip: '78701',
corporateWebsite: 'http://example.com',
messageVolume: Volume::V_100000,
optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\'ve opted in a confirmation message is sent out to the handset',
optInWorkflowImageURLs: [
['url' => 'https://telnyx.com/sign-up'],
['url' => 'https://telnyx.com/company/data-privacy'],
],
phoneNumbers: [
['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']
],
productionMessageContent: 'Your Telnyx OTP is XXXX',
useCase: UseCaseCategories::TWO_FA,
useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
ageGatedContent: true,
businessAddr2: '14th Floor',
businessRegistrationCountry: 'US',
businessRegistrationNumber: '12-3456789',
businessRegistrationType: 'EIN',
campaignVerifyAuthorizationToken: 'cv_token_abc123xyz',
doingBusinessAs: 'Acme Services',
entityType: TollFreeVerificationEntityType::SOLE_PROPRIETOR,
helpMessageResponse: 'Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com',
isvReseller: 'isvReseller',
optInConfirmationResponse: 'You have successfully opted in to receive messages from Acme Corp',
optInKeywords: 'START, YES, SUBSCRIBE',
privacyPolicyURL: 'https://example.com/privacy',
termsAndConditionURL: 'https://example.com/terms',
webhookURL: 'http://example-webhook.com',
);
var_dump($verificationRequestEgress);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--additional-information additionalInformation \
--business-addr1 '600 Congress Avenue' \
--business-city Austin \
--business-contact-email email@example.com \
--business-contact-first-name John \
--business-contact-last-name Doe \
--business-contact-phone +18005550100 \
--business-name 'Telnyx LLC' \
--business-state Texas \
--business-zip 78701 \
--corporate-website http://example.com \
--message-volume 100,000 \
--opt-in-workflow "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset" \
--opt-in-workflow-image-url '{url: https://telnyx.com/sign-up}' \
--opt-in-workflow-image-url '{url: https://telnyx.com/company/data-privacy}' \
--phone-number "{phoneNumber: '+18773554398'}" \
--phone-number "{phoneNumber: '+18773554399'}" \
--production-message-content 'Your Telnyx OTP is XXXX' \
--use-case 2FA \
--use-case-summary 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal'curl --request PATCH \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "email@example.com",
"businessContactPhone": "+18005550100",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "<string>",
"businessAddr2": "14th Floor",
"isvReseller": "<string>",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz"
}
EOF{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "email@example.com",
"businessContactPhone": "+18005550100",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "This is for security purposes, blah blah blah",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verificationRequestId": "<string>",
"businessAddr2": "14th Floor",
"isvReseller": "Yes",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"entityType": "PRIVATE_PROFIT",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz",
"verificationStatus": "In Progress"
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}